Skip to content

Email Request

POST
/api/account/email
curl --request POST \
--url https://agentauthority.org/api/account/email \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '{ "address": "example", "consent": true }'
idempotency-key
required
Idempotency-Key
string
>= 8 characters <= 128 characters
Media typeapplication/json
EmailEnrollment
object
address
required
Address
string
<= 254 characters
consent
required
Consent
boolean

Example generated

{
"address": "example",
"consent": true
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}